Subject: [quicwg/base-drafts] 4758a1: WIP: Reorganize QPACK

From: Alan Frindell <[email-masked]>
Date: Thu, 11 Oct 2018 10:09:12 -0700

Branch: refs/heads/reorg-qpack
  Home:   https://github.com/quicwg/base-drafts
  Commit: 4758a1cdb535d2da6d8b0571d12abed4b413549f
      https://github.com/quicwg/base-drafts/commit/4758a1cdb535d2da6d8b0571d12abed4b413549f
  Author: Alan Frindell <[email-masked]>
  Date:   2018-10-11 (Thu, 11 Oct 2018)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  WIP: Reorganize QPACK

Added a "Compression Process Overview" section near the top, with a high level description of how to compress/decompress.  This section now encompasses a lot of what used to be "Encoding Strategies".

In the places where I added new text, I temporarily added HTML comments to indicicate so it can get a bit more detailed review.

I also deleted a few sentences/paragraphs/sections that I found to be redundant:

- Preventing Eviction Races
- "An encoder also respects..."
- "For header blocks encoded in..."
- Single Pass Encoding
- "All table updates occur on..."

      **NOTE:** This service has been marked for deprecation: https://developer.github.com/changes/2018-04-25-github-services-deprecation/

      Functionality will be removed from GitHub.com on January 31st, 2019.